public Function GetResStrForForm(fForm As Object, Optional sParse$ = "@")
  Dim a As Control, sRes As String, aa%, b$
  Dim aTag%
  
  On Error Resume Next
  'With each control on the form, do the following
  For Each a In fForm.Controls
    'If the passed object isn't a valid form then escape
    If Err Then
      Err.Clear
      Exit For
    End if
    'Get the first parameter from the TAG property of the control
    aTag = Val(GetParam(a.Tag, 1, sParse))
    'If the value of this property is numeric and greater than 0
    'then retrieve the resource string
    If aTag > 0 Then
      sRes = LoadResString(aTag)
      'Now test which type of control it is to map the params of the 
      'resource string correclty. Feel free to add functionality for
      'your custom controls as an ELSEIF statement.
      If TypeOf a Is TextBox Then
        a.Text = GetParam(sRes, 1, sParse)
        a.ToolTipText = GetParam(sRes, 2, sParse)
      ElseIf TypeOf a Is ComboBox Or TypeOf a Is ListBox Then
        a.ToolTipText = GetParam(sRes, 1, sParse)
        aa = 1
        Do
          aa = aa + 1
          b = GetParam(sRes, aa, sParse)
          If b > "" Then
            a.AddItem b
            a.ItemData(a.NewIndex) = aa
          Else
            Exit Do
          End If
        Loop
      Else 'This is standard
        a.Caption = GetParam(sRes, 1, sParse)
        a.ToolTipText = GetParam(sRes, 2, sParse)
      End If
    End If
    Err.Clear
  Next a
End Function
